<template>
    <div>
        <transition name="component-fade" mode="out-in">
            <div class="uk-overlay-primary uk-position-cover" v-if="afficher">
                <div class="uk-position-center uk-overlay uk-light">
                    <img
                        v-if="!avecErreur"
                        src="../../assets/reussite.png"
                        :alt="texteHaut"
                        class="uk-align-center"
                        style="width:80%"
                    />
                    <img
                        v-if="avecErreur"
                        src="../../assets/echec.png"
                        :alt="texteHaut"
                        class="uk-align-center"
                        style="width:80%"
                    />
                    <span class="erreurs uk-align-center" v-if="avecErreur">{{
                        texteBas
                    }}</span>
                    <button
                        class="uk-button uk-button-default uk-button-large uk-align-center"
                        @click="reinitialiserProbleme"
                    >
                        Recommencer
                    </button>
                </div>
                <button
                    v-if="!avecErreur"
                    class="croix-fermeture-resultat"
                    uk-icon="icon: close"
                    type="button"
                    @click="effacer()"
                ></button>
            </div>
        </transition>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';

@Component
export default class Resultat extends Vue {
    @Prop() afficher: boolean;
    @Prop() avecErreur: boolean;
    @Prop() texteHaut: string;
    @Prop() texteBas: string;

    public reinitialiserProbleme() {
        this.$emit('reinitialiserProbleme');
    }

    private effacer() {
        this.afficher = false;
    }
}
</script>

<style scoped>
.component-fade-enter-active,
.component-fade-leave-active {
    transition: opacity 0.6s ease;
}
.component-fade-enter, .component-fade-leave-to
/* .component-fade-leave-active avant la 2.1.8 */ {
    opacity: 0;
}

.score {
    text-align: center;
    font-size: 40px;
    color: rgb(216, 215, 215);
}
.erreurs {
    text-align: center;
    font-size: 25px;
    margin-top: -20px !important;
    margin-bottom: -20px !important;
}
.croix-fermeture-resultat {
    position: absolute;
    right: 10px;
    top: 10px;
    padding: 5px;
}
.uk-overlay-primary {
    background: rgba(34, 34, 34, 0.7);
}
</style>
